<ul>
  <li *ngFor="let bookmark of bookmarks$ | async">
    <button (click)="onEdit(bookmark)">Edit</button>
    <button (click)="onDelete(bookmark)">Delete</button>
    {{bookmark.id}}: {{bookmark.label}}:
    <a href="{{bookmark.url}}" target="_blank">{{bookmark.url}}</a>
  </li>
</ul>

<div>
  <button (click)="onNew()">Make new bookmark</button>
</div>

<form [formGroup]="bookmarkFormGroup" (ngSubmit)="onSubmit()">
  <h3 *ngIf="bookmarkFormGroup.controls.id.value else add">Edit:</h3>
  <ng-template #add><h3>Add:</h3></ng-template>
  <div>
    <label>Label:
      <input formControlName="label" required/>
    </label>
  </div>
  <div>
    <label>URL:
      <input formControlName="url" required/>
    </label>
  </div>
  <div>
    <button [disabled]="!bookmarkFormGroup.valid">Save</button>
  </div>
</form>
